Supported Windows versions (was: Re: unix package)

Esa Ilari Vuokko eivuokko at
Sat Jun 30 13:28:49 EDT 2007

On 6/30/07, Ian Lynagh <igloo at> wrote:
> On Sat, Jun 30, 2007 at 08:01:09PM +0300, Esa Ilari Vuokko wrote:
> >
> > Indeed.  Also, as Win32 maintainer, I am unsure how far we are supporting
> > old Windowses.  When I tentavily asked some people about it, they thought
> > we should continue to support old Windows versions.
> Our (GHC) plan is not to support Win 9x (and Me?) from 6.8 onwards, as
> we don't have machines on which test it or debug problems. I don't think
> the installers that we make now install a GHC that works on Win 9x, but
> I could be wrong.

Thanks for info!

This also might mean that GHC could be made to exclusively use IO Completion
Ports in Windows instead of hacks now in place.

Maybe this is a good place to ask for opinions.  Anyone have any or know of
need to support old Windows versions?  I am also curious if someone still
writes software for pre-Windows 2000 NTs, as there's some nice API functions
in Windows 2000.


More information about the Libraries mailing list